%define distver 1_2-RELEASE

Name:		gogoc
Version:	1.2
Release:	2%{?dist}
Summary:	IPv6 TSP client for gogo6

Group:		System Environment/Daemons
License:	Distributable
URL:		http://gogonet.gogo6.com/page/freenet6-services
Source0:	http://gogo6.com/downloads/%{name}-%{distver}.tar.gz
# Patch0:		gogoc-1.2-gcc.patch
Patch1:		gogoc-1.2-dirpath.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc-c++, kernel-headers, openssl-devel
# Requires:	

%description
TSP is a control protocol used to establish and maintain static 
tunnels. The gogoCLIENT is used on the host computer to connect 
to a tunnel broker using the TSP protocol and to get the information 
for its tunnel. When it receives the information for the tunnel, the 
gogoCLIENT creates the static tunnel on its operating system.


%prep
%setup -q -c %{name}-%{distver}
# % patch0 -b .gcc
%patch1 -b .dirpath

%build
cd %{name}-%{distver}/%{name}-tsp
# % configure
make %{?_smp_mflags} -j1 all


%install
rm -rf $RPM_BUILD_ROOT
cd %{name}-%{distver}/%{name}-tsp
# make install DESTDIR=$RPM_BUILD_ROOT
make installdir=$RPM_BUILD_ROOT%{_prefix} install
install -d $RPM_BUILD_ROOT%{_datadir}
# mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{_mandir}
%{__gzip} $RPM_BUILD_ROOT%{_mandir}/man5/%{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{name}-%{distver}/CLIENT-LICENSE.TXT %{name}-%{distver}/GUI-LICENSE.TXT %{name}-%{distver}/INSTALL %{name}-%{distver}/README
%doc %{_mandir}/man5/%{name}.conf.5.gz
%doc %{_mandir}/man8/%{name}.8.gz
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Wed Jul 21 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.2-2
- Get the directory structure to settle down a bit

* Thu Jul 15 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.2-1
- initial build

